Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface ComponentObject

All Superinterfaces:
  Properties

All Known Subinterfaces:
  ApplicationModule, ViewLink, ViewObject, ViewObjectDynAttr

All Known Implementing Classes:
  ApplicationModuleImpl, ApplicationModuleImpl, ComponentObjectImpl, ComponentUsageImpl, ViewLinkImpl, ViewLinkImpl, ViewObjectImpl, ViewUsageImpl, WSApplicationModuleImpl, WSComponentObjectImpl, WSViewLinkImpl, WSViewObjectImpl

public interface ComponentObject
extends Properties

Provides access to component objects by name.

Components use the definitions in definitions at runtime to create Row objects.

Since:
  JDeveloper 3.0

Method Summary
`java.lang.String` | `getDefFullName()` Retrieves the fully-qualified name of the component's definition.
`java.lang.String` | `getDefName()` Retrieves the name of the component's definition.
`java.lang.String` | `getFullName()` Retrieves the fully-qualified name of this component.
`java.lang.String` | `getName()` Retrieves the name of this component.
`void` | `remove()` Deletes this component.

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Method Detail

### getDefName

    public java.lang.String getDefName()

  Retrieves the name of the component's definition.
  Returns:
    a class name.

### getDefFullName

    public java.lang.String getDefFullName()

  Retrieves the fully-qualified name of the component's definition.
  Returns:
    a class name.

### getName

    public java.lang.String getName()

  Retrieves the name of this component.
  Returns:
    the name of the object.

### getFullName

    public java.lang.String getFullName()

  Retrieves the fully-qualified name of this component.
  Returns:
    the name of the object.

### remove

    public void remove()

  Deletes this component.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.